import {StyleSheet} from 'react-native';
import {default_style} from 'src/constant/default_style';

export const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: default_style.white,
    paddingHorizontal: default_style.standard_padding_horizontal,
    paddingVertical: default_style.standard_padding_vertical,
  },
  text: {
    fontSize: default_style.lg,
    fontFamily: default_style.font_family_600,
    color: default_style.black,
  },
  add_button: {
    backgroundColor: default_style.light_sun,
    paddingHorizontal: 10 * default_style.width_ratio,
    paddingVertical: 10 * default_style.height_ratio,
  },
  icon: {
    color: default_style.black,
  },
  text_add_button: {
    fontFamily: default_style.font_family_500,
    fontSize: default_style.lg,
    lineHeight: default_style.line_height_normal,
    color: default_style.black,
    marginLeft: 5 * default_style.width_ratio,
  },
  input_container: {
    borderWidth: 1,
    borderColor: '#BEBEBE',
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    backgroundColor: 'white',
    borderRadius: 4 * default_style.width_ratio,
    paddingHorizontal: 8,
  },
  icon_input: {
    color: '#9E9E9E',
  },
  input: {
    padding: 5,
    width: 250 * default_style.width_ratio,
    height: 40 * default_style.height_ratio,
  },
  space_bot: {
    marginBottom: 15 * default_style.height_ratio,
  },
  filter_wrapper: {
    width: 40 * default_style.width_ratio,
    height: 40 * default_style.height_ratio,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    borderWidth: 1,
    borderColor: '#BEBEBE',
    borderRadius: 4 * default_style.width_ratio,
  },
  table_wrapper: {
    width: '100%',
    // height: 400 * default_style.height_ratio,
    borderTopWidth: 1,
    borderLeftWidth: 1,
    borderRightWidth: 1,
    borderColor: '#BEBEBE',
  },
  cell: {
    width: 60 * default_style.height_ratio,
    height: 50 * default_style.height_ratio,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    borderBottomWidth: 1,
    borderColor: '#BEBEBE',
    // paddingHorizontal: 10 * default_style.width_ratio,
    // paddingVertical: 10 * default_style.height_ratio,
  },
  bodyCell: {
    width: 130 * default_style.height_ratio,
    height: 50 * default_style.height_ratio,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    borderBottomWidth: 1,
    borderColor: '#BEBEBE',
    paddingHorizontal: 7 * default_style.width_ratio,
  },
  status_container: {
    width: '100%',
    marginVertical: 0,
  },
  status_wrapper: {
    width: 105 * default_style.width_ratio,
    height: 35 * default_style.height_ratio,
    borderWidth: 1,
    borderColor: '#BEBEBE',
    borderRadius: 4 * default_style.width_ratio,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    marginRight: 10 * default_style.width_ratio,
  },
  text_status: {
    fontFamily: default_style.font_family_500,
    fontSize: default_style.md,
    lineHeight: default_style.line_height_normal,
    color: '#777777',
  },
});
